> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Telemetry Config

> Sets the vehicle's Fleet Telemetry configuration.

By default, sets our recommended configuration. Specify a configuration to overwrite it. Custom configurations are limited to a maximum rate of 1 signal per second.

The complete list of fields can be found [here](https://github.com/teslamotors/fleet-telemetry/blob/main/protos/vehicle_data.proto).

**Important:** Modifying this configuration may have adverse effects on Tessie platform functionality.




## OpenAPI

````yaml post /{vin}/fleet_telemetry_config
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/fleet_telemetry_config:
    parameters:
      - $ref: '#/components/parameters/vin'
    post:
      tags:
        - Telemetry Configuration
      summary: Set Telemetry Config
      description: >
        Sets the vehicle's Fleet Telemetry configuration.


        By default, sets our recommended configuration. Specify a configuration
        to overwrite it. Custom configurations are limited to a maximum rate of
        1 signal per second.


        The complete list of fields can be found
        [here](https://github.com/teslamotors/fleet-telemetry/blob/main/protos/vehicle_data.proto).


        **Important:** Modifying this configuration may have adverse effects on
        Tessie platform functionality.
      operationId: set-fleet-telemetry-config
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  fields:
                    ACChargingPower:
                      interval_seconds: 60
                    BatteryLevel:
                      interval_seconds: 60
                    ChargeState:
                      interval_seconds: 60
                    DCChargingPower:
                      interval_seconds: 60
                    EnergyRemaining:
                      interval_seconds: 60
                    Gear:
                      interval_seconds: 60
                    IdealBatteryRange:
                      interval_seconds: 60
                    Location:
                      interval_seconds: 60
                    Odometer:
                      interval_seconds: 60
                    RatedRange:
                      interval_seconds: 60
              properties:
                fields:
                  type: object
            examples:
              Example 1:
                value:
                  fields:
                    ACChargingPower:
                      interval_seconds: 60
                    BatteryLevel:
                      interval_seconds: 60
                    ChargeState:
                      interval_seconds: 60
                    DCChargingPower:
                      interval_seconds: 60
                    EnergyRemaining:
                      interval_seconds: 60
                    Gear:
                      interval_seconds: 60
                    IdealBatteryRange:
                      interval_seconds: 60
                    Location:
                      interval_seconds: 60
                    Odometer:
                      interval_seconds: 60
                    RatedRange:
                      interval_seconds: 60
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated_vehicles:
                    type: integer
                x-examples:
                  Example 1:
                    updated_vehicles: 1
              examples:
                Example 1:
                  value:
                    result: true
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````